* fix(sleep): reduce sleep in demo.py to old value

* fix(deploy_firefox): correct file permissions for fifo

* feat(dependencies): ran scripts/update.sh

* docs(changelog): document v0.21.1

* fix(actions): update actions version
This commit is contained in:
Stefan Zabka 2022-10-13 17:37:56 +02:00 коммит произвёл GitHub
Родитель caf7bc503d
Коммит d0508248f3
Не найден ключ, соответствующий данной подписи
Идентификатор ключа GPG: 4AEE18F83AFDEB23
11 изменённых файлов: 5183 добавлений и 839 удалений

6
.github/workflows/build-container.yaml поставляемый
Просмотреть файл

@ -29,12 +29,12 @@ jobs:
echo ::set-output name=tags::${TAGS}
- name: Checkout
uses: actions/checkout@v2
uses: actions/checkout@v3
- name: Set up Docker Buildx
id: buildx
uses: docker/setup-buildx-action@v1
- name: Cache Docker layers
uses: actions/cache@v2
uses: actions/cache@v3
with:
path: /tmp/.buildx-cache
key: ${{ runner.os }}-buildx-${{ github.sha }}
@ -47,7 +47,7 @@ jobs:
password: ${{ secrets.DOCKERHUB_USER_PASSWORD }}
- name: Build and push
id: docker_build
uses: docker/build-push-action@v2
uses: docker/build-push-action@v3
with:
context: ./
file: ./Dockerfile

2
.github/workflows/codeql-analysis.yml поставляемый
Просмотреть файл

@ -38,7 +38,7 @@ jobs:
steps:
- name: Checkout repository
uses: actions/checkout@v2
uses: actions/checkout@v3
# Initializes the CodeQL tools for scanning.
- name: Initialize CodeQL

10
.github/workflows/run-tests.yaml поставляемый
Просмотреть файл

@ -14,14 +14,14 @@ jobs:
runs-on: ubuntu-latest
steps:
# All of these steps are just setup
- uses: actions/checkout@v2
- uses: actions/checkout@v3
- name: Setting MINICONDA_PATH
run: echo "MINICONDA_PATH=$HOME/miniconda" >> $GITHUB_ENV
- name: Setting OPENWPM_CONDA_PATH
run: echo "OPENWPM_CONDA_PATH=$MINICONDA_PATH/envs/openwpm" >> $GITHUB_ENV
# If the environment.yaml hasn't changed we just reuse the entire conda install
- id: cache
uses: actions/cache@v2
uses: actions/cache@v3
env:
cache-name: conda-cache
with:
@ -52,9 +52,9 @@ jobs:
fail-fast: false
steps:
# All of these steps are just setup, maybe we should wrap them in an action
- uses: actions/checkout@v2
- uses: actions/checkout@v3
- name: Cache node modules
uses: actions/cache@v2
uses: actions/cache@v3
env:
cache-name: cache-node-modules
with:
@ -69,7 +69,7 @@ jobs:
# If the environment.yaml hasn't changed we just reuse the entire conda install
- id: conda-cache
uses: actions/cache@v2
uses: actions/cache@v3
env:
cache-name: conda-cache
with:

Просмотреть файл

@ -1,5 +1,9 @@
# Changelog
## v0.21.1 - 2022-10-13
Fix erronous change to demo.py
## v0.21.0 - 2022-09-26
Update to Firefox 105

Просмотреть файл

@ -1 +1 @@
0.21.0
0.21.1

Просмотреть файл

@ -69,7 +69,7 @@ with TaskManager(
)
# Start by visiting the page
command_sequence.append_command(GetCommand(url=site, sleep=120), timeout=180)
command_sequence.append_command(GetCommand(url=site, sleep=3), timeout=60)
# Have a look at custom_command.py to see how to implement your own command
command_sequence.append_command(LinkCountingCommand())

Просмотреть файл

@ -14,8 +14,8 @@ dependencies:
- isort=5.10.1
- leveldb=1.23
- multiprocess=0.70.13
- mypy=0.971
- nodejs=18.9.0
- mypy=0.982
- nodejs=18.10.0
- pandas=1.5.0
- pillow=9.2.0
- pip=22.2.2
@ -23,18 +23,18 @@ dependencies:
- psutil=5.9.2
- pyarrow=9.0.0
- pytest-asyncio=0.19.0
- pytest-cov=3.0.0
- pytest-cov=4.0.0
- pytest=7.1.3
- python=3.10.6
- pyvirtualdisplay=3.0
- recommonmark=0.7.1
- redis-py=4.3.4
- s3fs=2022.8.2
- selenium=4.4.0
- sentry-sdk=1.9.9
- selenium=4.5.0
- sentry-sdk=1.9.10
- sphinx-markdown-tables=0.0.17
- sphinx=5.2.1
- tabulate=0.8.10
- sphinx=5.2.3
- tabulate=0.9.0
- tblib=1.7.0
- wget=1.20.3
- pip:
@ -42,7 +42,7 @@ dependencies:
- domain-utils==0.7.1
- jsonschema==4.16.0
- plyvel==1.4.0
- types-pyyaml==6.0.11
- types-redis==4.3.20
- types-tabulate==0.8.11
- types-pyyaml==6.0.12
- types-redis==4.3.21.1
- types-tabulate==0.9.0.0
name: openwpm

Просмотреть файл

@ -30,7 +30,7 @@ def mktempfifo(suffix="", prefix="tmp", dir=None):
name = next(names)
file = os.path.join(dir, prefix + name + suffix)
try:
os.mkfifo(file, 384) # 0600
os.mkfifo(file, 0o600)
return file
except OSError as e:
if e.errno == errno.EEXIST:
@ -61,6 +61,7 @@ class FirefoxLogInterceptor(threading.Thread):
# We might not ever get EOF on the FIFO, so instead we delete
# it after we receive the first line (which means the other
# end has actually opened it).
assert self.fifo is not None
try:
with open(self.fifo, "rt") as f:
for line in f:

5912
package-lock.json сгенерированный

Разница между файлами не показана из-за своего большого размера Загрузить разницу

Просмотреть файл

@ -12,39 +12,39 @@ set -e
TAG='433fb8a983f63150726d31c00e98b02c462c8491' # FIREFOX_105_0_RELEASE
case "$(uname -s)" in
Darwin)
echo 'Installing for Mac OSX'
OS='macosx'
TARGET_SUFFIX='.dmg'
;;
Linux)
echo 'Installing for Linux'
OS='linux'
TARGET_SUFFIX='.tar.bz2'
;;
*)
echo 'Your OS is not supported. Aborting'
exit 1
;;
Darwin)
echo 'Installing for Mac OSX'
OS='macosx'
TARGET_SUFFIX='.dmg'
;;
Linux)
echo 'Installing for Linux'
OS='linux'
TARGET_SUFFIX='.tar.bz2'
;;
*)
echo 'Your OS is not supported. Aborting'
exit 1
;;
esac
UNBRANDED_RELEASE_BUILD="https://firefox-ci-tc.services.mozilla.com/api/index/v1/task/gecko.v2.mozilla-release.revision.${TAG}.firefox.${OS}64-add-on-devel/artifacts/public/build/target${TARGET_SUFFIX}"
wget -q "$UNBRANDED_RELEASE_BUILD"
case "$(uname -s)" in
Darwin)
rm -rf Nightly.app || true
hdiutil attach -nobrowse -mountpoint /Volumes/firefox-tmp target.dmg
cp -r /Volumes/firefox-tmp/Nightly.app .
hdiutil detach /Volumes/firefox-tmp
rm target.dmg
;;
Linux)
tar jxf target.tar.bz2
rm -rf firefox-bin
mv firefox firefox-bin
rm target.tar.bz2
;;
Darwin)
rm -rf Nightly.app || true
hdiutil attach -nobrowse -mountpoint /Volumes/firefox-tmp target.dmg
cp -r /Volumes/firefox-tmp/Nightly.app .
hdiutil detach /Volumes/firefox-tmp
rm target.dmg
;;
Linux)
tar jxf target.tar.bz2
rm -rf firefox-bin
mv firefox firefox-bin
rm target.tar.bz2
;;
esac
echo 'Firefox succesfully installed'

Просмотреть файл

@ -13,12 +13,7 @@ conda activate openwpm
npm update --dev
pushd Extension/webext-instrumentation
npm update --dev
pushd ../firefox
pushd Extension
npm update --dev
popd
popd